Verified Package Dependencies

From SambaWiki
Jump to: navigation, search

Verified Package Dependencies

These links are to https://git.samba.org and are to our tested package installation scripts. The files are are contained in Samba's official git repository and are subject to Samba's Code Review and testing.

Naturally, you should still check them before running them as root. They may contain more packages than you strictly need, because some items required by Samba's GitLab CI and autobuild tooling are not needed in production.

Distribution Samba master
Debian 9 bootstrap/generated-dists/debian9/bootstrap.sh
Ubuntu 16.04 bootstrap/generated-dists/ubuntu1604/bootstrap.sh
Ubuntu 18.04 bootstrap/generated-dists/ubuntu1804/bootstrap.sh
OpenSuSE 15.0 bootstrap/generated-dists/opensuse150/bootstrap.sh
Fedora 29 bootstrap/generated-dists/fedora29/bootstrap.sh
Fedora 30 bootstrap/generated-dists/fedora30/bootstrap.sh
CentOS 7 bootstrap/generated-dists/centos7/bootstrap.sh